#ifndef __PV_CONTROL_H__
#define __PV_CONTROL_H__

#include<stdio.h>
#include<stdlib.h>
#include<sys/shm.h>  // shared memory
#include<sys/sem.h>  // semaphore
#include<sys/msg.h>  // message queue

#define SEM_KEY 12580

// 消息队列结构
struct msg_form {
	long mtype;
	char mtext;
};

// 联合体，用于semctl初始化
union semun
{
	int              val; /*for SETVAL*/
	struct semid_ds *buf;
	unsigned short  *array;
};

int init_sem();
int sem_p();
int sem_v();
int del_sem();

#endif
